Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://api.app.shinzo.ai/v1/mcp/servers \ --header 'Authorization: Bearer <token>'
Retrieve all registered MCP servers.
Authorization: Bearer <token>
active
inactive
error
deploying
curl -X GET "https://api.app.shinzo.ai/v1/mcp/servers?limit=10&status=active" \ -H "Authorization: Bearer <token>"
{ "mcp_servers": [ { "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "name": "context7", "description": "Context7 documentation server", "endpoint_url": "https://mcp.context7.com/sse", "transport_type": "http", "hosting_mode": "remote", "status": "active", "health_status": "unknown", "last_health_check": null, "agent_access_count": 3, "created_at": "2026-01-10T08:00:00Z", "updated_at": "2026-01-12T09:15:00Z" }, { "id": "b2c3d4e5-f6a7-8901-bcde-f12345678901", "name": "github-mcp", "description": "GitHub repository management", "endpoint_url": "https://mcp.github.com/sse", "transport_type": "http", "hosting_mode": "remote", "status": "active", "health_status": "healthy", "last_health_check": "2026-01-15T09:00:00Z", "agent_access_count": 1, "created_at": "2026-01-08T12:00:00Z", "updated_at": "2026-01-08T12:00:00Z" } ], "pagination": { "page": 1, "limit": 10, "total": 7, "total_pages": 1 } }
200
401